|  | Home · All Classes · Modules

# QTapAndHoldGesture Class Reference
[QtGui module]

The QTapAndHoldGesture class describes a tap-and-hold (aka LongTap) gesture made by the user. More...

Inherits QGesture.

### Methods

- __init__ (self, QObject parent = None)
- QPointF position (self)
- setPosition (self, QPointF pos)

### Static Methods

- setTimeout (int msecs)
- int timeout ()

## Detailed Description

The QTapAndHoldGesture class describes a tap-and-hold (aka LongTap) gesture made by the user.

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures Programming document.

## Method Documentation

### QTapAndHoldGesture.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### QPointF QTapAndHoldGesture.position (self)

### QTapAndHoldGesture.setPosition (self, QPointF pos)

### QTapAndHoldGesture.setTimeout (int msecs)

Set the timeout, in milliseconds, before the gesture triggers.

The recognizer will detect a touch down and and if msecs later the touch is still down, it will trigger the QTapAndHoldGesture. The default value is 700 milliseconds.

See also timeout().

### int QTapAndHoldGesture.timeout ()

Gets the timeout, in milliseconds, before the gesture triggers.

The recognizer will detect a touch down and and if timeout() later the touch is still down, it will trigger the QTapAndHoldGesture. The default value is 700 milliseconds.

See also setTimeout().